$(function(){
	$(".reportYear").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 4,
	    minView: 4,
	    forceParse: 0,
	    format: "yyyy"
	});
	$(".occurDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	$(".auditDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	function getDictionaryItem(paramName,name,ele){
		$.ajax({
			type:"get",
			url:'/orgbaseInfo/doFindDictCode',
			data:{
				'paramName':paramName
			},
			success:function(data){
//				console.log(data);
				if( data ){
					ele.empty().append('<option value="">请选择</option>');
					for(var i in data){
						ele.append('<option value="'+i+'">'+data[i]+'</option>');
					}
					if( ele.attr("value")!='' ){//有值
						ele.find("option").each(function(){
							if( $(this).val()==ele.attr("value") ){
								$(this).prop("selected",true);
							}
						})
					}
				}
			},
			error:function(status){
				new $.zui.Messager(name+'数据获取失败', {
					type : 'danger',
					time : 1500
				}).show();
			}
		})
	}
	//填值---开始
	if( JSON.stringify(finpsData[operationRowNum]) != "{}" ){//判断是否保存过值
		$("#finpsUpdateForm .originalReportTime").val(finpsData[operationRowNum].originalReportTime);//系统内报表年月
		$("#finpsUpdateForm .reportYear").val(finpsData[operationRowNum].reportYear);//上报-报表年份
		$("#finpsUpdateForm .reportType").attr("value",finpsData[operationRowNum].reportType);//报表类型
		$("#finpsUpdateForm .reportSubType").attr("value",finpsData[operationRowNum].reportSubType);//报表类型细分
		$("#finpsUpdateForm .occurDate").val(finpsData[operationRowNum].occurDate);//业务发生日期
		$("#finpsUpdateForm .finOrgCode").val(finpsData[operationRowNum].finOrgCode);//金融机构代码
		$("#finpsUpdateForm .borrowerName").val(finpsData[operationRowNum].borrowerName);//借款人名称
		$("#finpsUpdateForm .loanCardNo").val(finpsData[operationRowNum].loanCardNo);//贷款卡编码
		$("#finpsUpdateForm .auditFirm").val(finpsData[operationRowNum].auditFirm);//审计事务所名称
		$("#finpsUpdateForm .auditor").val(finpsData[operationRowNum].auditor);//审计人员名称
		$("#finpsUpdateForm .auditDate").val(finpsData[operationRowNum].auditDate);//审计时间
		$("#finpsUpdateForm .h9170").val(finpsData[operationRowNum].h9170);//营业收入
		$("#finpsUpdateForm .h9171").val(finpsData[operationRowNum].h9171);//营业成本
		$("#finpsUpdateForm .h9172").val(finpsData[operationRowNum].h9172);//营业税金及附加
		$("#finpsUpdateForm .h9173").val(finpsData[operationRowNum].h9173);//销售费用
		$("#finpsUpdateForm .h9174").val(finpsData[operationRowNum].h9174);//管理费用
		$("#finpsUpdateForm .h9175").val(finpsData[operationRowNum].h9175);//财务费用
		$("#finpsUpdateForm .h9176").val(finpsData[operationRowNum].h9176);//资产减值损失
		$("#finpsUpdateForm .h9177").val(finpsData[operationRowNum].h9177);//公允价值变动净收益
		$("#finpsUpdateForm .h9178").val(finpsData[operationRowNum].h9178);//投资净收益
		$("#finpsUpdateForm .h9179").val(finpsData[operationRowNum].h9179);//对联营企业和合营企业的投资收益
		$("#finpsUpdateForm .h9180").val(finpsData[operationRowNum].h9180);//营业利润
		$("#finpsUpdateForm .h9181").val(finpsData[operationRowNum].h9181);//营业外收入
		$("#finpsUpdateForm .h9182").val(finpsData[operationRowNum].h9182);//营业外支出
		$("#finpsUpdateForm .h9183").val(finpsData[operationRowNum].h9183);//非流动资产损失
		$("#finpsUpdateForm .h9184").val(finpsData[operationRowNum].h9184);//利润总额
		$("#finpsUpdateForm .h9185").val(finpsData[operationRowNum].h9185);//所得税费用
		$("#finpsUpdateForm .h9186").val(finpsData[operationRowNum].h9186);//净利润
		$("#finpsUpdateForm .h9187").val(finpsData[operationRowNum].h9187);//基本每股收益
		$("#finpsUpdateForm .h9188").val(finpsData[operationRowNum].h9188);//稀释每股收益
	}
	$("#finpsUpdateForm .amount").each(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	$("#finpsUpdateForm .amount").keyup(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	getDictionaryItem('reportType','报表类型',$("#finpsUpdateForm .reportType"));
	getDictionaryItem('reportSubType','报表类型细分',$("#finpsUpdateForm .reportSubType"));
	
	$(".finpsDialog .addSure").removeClass("loadingCircle");
	
	$(".finpsDialog .addSure").click(function(){
		$("#finpsUpdateForm").submit();
	})
	$("#finpsUpdateForm").validate({
		promptPosition : "bottomLeft",
		submitHandler : function(form) {
			$(".finpsDialog .addSure").addClass("loadingCircle");
			$("#finpsUpdateForm .amount").each(function(){
				$(this).val($(this).val().split(',').join(''));
			})
			$(".finpsDialog").modal("hide");
			$(".finpsDialog").on('hidden.zui.modal', function(){
				finpsData[operationRowNum].originalReportTime=$("#finpsUpdateForm .originalReportTime").val();//系统内报表年月
				finpsData[operationRowNum].reportYear=$("#finpsUpdateForm .reportYear").val();//上报-报表年份
				if( $("#finpsUpdateForm .reportType").val()!='' ){
					finpsData[operationRowNum].reportType=$("#finpsUpdateForm .reportType").val();//报表类型id
					finpsData[operationRowNum].reportTypeCN=$("#finpsUpdateForm .reportType").find("option:selected").text();//报表类型name
				}else {
					finpsData[operationRowNum].reportType='';
					finpsData[operationRowNum].reportTypeCN='';
				}
				if( $("#finpsUpdateForm .reportSubType").val()!='' ){
					finpsData[operationRowNum].reportSubType=$("#finpsUpdateForm .reportSubType").val();//报表类型细分
					finpsData[operationRowNum].reportSubTypeCN=$("#finpsUpdateForm .reportSubType").find("option:selected").text();//报表类型细分name
				}else {
					finpsData[operationRowNum].reportSubType='';
					finpsData[operationRowNum].reportSubTypeCN='';
				}
				finpsData[operationRowNum].occurDate=$("#finpsUpdateForm .occurDate").val();//业务发生日期
				finpsData[operationRowNum].finOrgCode=$("#finpsUpdateForm .finOrgCode").val();//金融机构代码
				finpsData[operationRowNum].borrowerName=$("#finpsUpdateForm .borrowerName").val();//借款人名称
				finpsData[operationRowNum].loanCardNo=$("#finpsUpdateForm .loanCardNo").val();//贷款卡编码
				finpsData[operationRowNum].auditFirm=$("#finpsUpdateForm .auditFirm").val();//审计事务所名称
				finpsData[operationRowNum].auditor=$("#finpsUpdateForm .auditor").val();//审计人员名称
				finpsData[operationRowNum].auditDate=$("#finpsUpdateForm .auditDate").val();//审计时间
				finpsData[operationRowNum].h9170=$("#finpsUpdateForm .h9170").val();//营业收入
				finpsData[operationRowNum].h9171=$("#finpsUpdateForm .h9171").val();//营业成本
				finpsData[operationRowNum].h9172=$("#finpsUpdateForm .h9172").val();//营业税金及附加
				finpsData[operationRowNum].h9173=$("#finpsUpdateForm .h9173").val();//销售费用
				finpsData[operationRowNum].h9174=$("#finpsUpdateForm .h9174").val();//管理费用
				finpsData[operationRowNum].h9175=$("#finpsUpdateForm .h9175").val();//财务费用
				finpsData[operationRowNum].h9176=$("#finpsUpdateForm .h9176").val();//资产减值损失
				finpsData[operationRowNum].h9177=$("#finpsUpdateForm .h9177").val();//公允价值变动净收益
				finpsData[operationRowNum].h9178=$("#finpsUpdateForm .h9178").val();//投资净收益
				finpsData[operationRowNum].h9179=$("#finpsUpdateForm .h9179").val();//对联营企业和合营企业的投资收益
				finpsData[operationRowNum].h9180=$("#finpsUpdateForm .h9180").val();//营业利润
				finpsData[operationRowNum].h9181=$("#finpsUpdateForm .h9181").val();//营业外收入
				finpsData[operationRowNum].h9182=$("#finpsUpdateForm .h9182").val();//营业外支出
				finpsData[operationRowNum].h9183=$("#finpsUpdateForm .h9183").val();//非流动资产损失
				finpsData[operationRowNum].h9184=$("#finpsUpdateForm .h9184").val();//利润总额
				finpsData[operationRowNum].h9185=$("#finpsUpdateForm .h9185").val();//所得税费用
				finpsData[operationRowNum].h9186=$("#finpsUpdateForm .h9186").val();//净利润
				finpsData[operationRowNum].h9187=$("#finpsUpdateForm .h9187").val();//基本每股收益
				finpsData[operationRowNum].h9188=$("#finpsUpdateForm .h9188").val();//稀释每股收益
				//console.log(finpsData);
				updateListData('finpsList',finpsData[operationRowNum],operationRowNum);
			});
		},
		rules : {
			'h9170':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9171':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9173':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9174':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9175':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9176':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9177':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9178':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9179':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9180':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9181':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9182':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9183':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9184':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9185':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9186':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9187':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9188':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			}
		},
		messages : {
			
		}
	})
})